<template>
  <div class="echart31_box">
    <div id="echart31"></div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return { myChart:null};
  },
  mounted() {
    this.lineChart();
    this.$bus.$on('resizeEchart', (res) => {
      this.myChart.resize();
    });
  },
  //方法集合
  methods: {
    lineChart() {
      let option = {
        title: {
          text: '项目类别',
          top:15,
          textStyle: {
            color: '#fff',
          },
        },
        tooltip: {
          trigger: 'item',
        },
        legend: {
          top: '5%',
          right: '0',
          textStyle: {
            fontSize: 12,
            color: '#fff',
          },
        },
        series: [
          {
            name: '项目类别',
            type: 'pie',
            radius: ['45%', '55%'],
            // avoidLabelOverlap: false,
            label: {
              formatter: '{b}：{c}',
              textStyle: {
                fontSize: 12,
                color: '#fff',
              },
            },

            labelLine: {
              //   show: false,
            },
            data: [
              { value: 2, name: '站场类' },
              { value: 5, name: '管道类' },
            ],
          },
        ],
      };
      this.myChart = this.$echarts.init(document.getElementById('echart31'));
      this.myChart.setOption(option);
      window.addEventListener('resize', function () {
        this.myChart.resize();
      });
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.echart31_box {
  padding: 20px;
  width: 100%;
  height: 100%;
}
#echart31 {
  width: calc(100% - 40px);
  height: calc(100% - 40px);
}
</style>
